Difference between revisions of "Gsequencer"

From Free Software Directory
Jump to: navigation, search
m (updated download version)
 
(17 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
{{Entry
 
{{Entry
 
|Name=Advanced GTK+ Sequencer
 
|Name=Advanced GTK+ Sequencer
|Short description=Audio sequencer
+
|Short description=Audio sequencer.
 
|Full description='''Advanced GTK+ Sequencer (AGS) is intended to use for music composition.'''
 
|Full description='''Advanced GTK+ Sequencer (AGS) is intended to use for music composition.'''
  
Line 31: Line 31:
  
 
Version 2.1.x has got initial OSC content model support. The provided OSC server allows you to do remote control.
 
Version 2.1.x has got initial OSC content model support. The provided OSC server allows you to do remote control.
 +
 +
Version 2.2.x support for GCC builtin vector functions and added complex data type support.
 +
 +
Version 2.3.x added new machines AgsFMSynth, AgsFMSyncsynth and AgsPitchSampler. Support for WASAPI.
 +
 +
Version 3.0.x added GObject-Introspection annotations. Implemented AgsServer providing basic HTTP authentication using XMLRPC library libsoup-2.4. Added online help browser to view the user manual within UI by using WebKit2Gtk-4.0. Further providing support for AGS-OSC-OVER-XMLRPC and migrated to Gtk-3. Allow the user to perform fast export to audio file with AgsAudiorec.
 
|Screenshot 1=gsequencer-main-window.png
 
|Screenshot 1=gsequencer-main-window.png
 
|Screenshot 2=gsequencer-automation-window.png
 
|Screenshot 2=gsequencer-automation-window.png
|Homepage URL=http://www.nongnu.org/gsequencer/
+
|Homepage URL=https://www.nongnu.org/gsequencer/
 
|Is High Priority Project=No
 
|Is High Priority Project=No
 
|VCS checkout command=git clone git://git.savannah.nongnu.org/gsequencer.git
 
|VCS checkout command=git clone git://git.savannah.nongnu.org/gsequencer.git
|Computer languages=C
+
|Documentation note=[http://nongnu.org/gsequencer/api/libags/ libags]
|Documentation note=Documentation included. A reference manual is also here:
+
 
* [http://nongnu.org/gsequencer/api/libags/ libags]
+
[http://nongnu.org/gsequencer/api/libags-audio/ libags_audio]
* [http://nongnu.org/gsequencer/api/libags-audio/ libags_audio]
+
 
* [http://nongnu.org/gsequencer/api/libags-gui/ libags_gui]
+
[http://nongnu.org/gsequencer/api/libags-gui/ libags_gui]
 
|Decommissioned or Obsolete=No
 
|Decommissioned or Obsolete=No
 
|Donate=https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=QB95388YSQ4GC
 
|Donate=https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=QB95388YSQ4GC
|Microblog=https://savannah.nongnu.org/news/atom.php?group=gsequencer
+
|Microblog=https://twitter.com/gsequencer/
 +
|Related projects=cursynth,psychosynth,gnusound
 
|Keywords=sound,audio,sequencer,notation,MIDI,LADSPA,DSSI,Lv2
 
|Keywords=sound,audio,sequencer,notation,MIDI,LADSPA,DSSI,Lv2
|Version identifier=2.1.14
+
|Version identifier=3.2.15
|Version date=2018/12/21
+
|Version date=2020/04/16
 
|Version status=stable
 
|Version status=stable
|Version download=https://download.savannah.gnu.org/releases/gsequencer/2.1.x/gsequencer-2.1.14.tar.gz
+
|Version download=https://download.savannah.nongnu.org/releases/gsequencer/3.2.x/gsequencer-3.2.15.tar.gz
|Version comment=* various fixes
+
|Version comment=* improved AgsTurtle to better detect Unicode ranges
 +
* other improvements
 
|Last review by=Bendikker
 
|Last review by=Bendikker
 
|Last review date=2018/02/19
 
|Last review date=2018/02/19
 +
|Submitted by=Donaldr3
 
|Submitted date=2013/01/25
 
|Submitted date=2013/01/25
 
|Component programs=gsequencer, midi2xml
 
|Component programs=gsequencer, midi2xml
|Paid support=http://krähemann.com
+
|Paid support=https://krähemann.com
 
|Accepts cryptocurrency donations=No
 
|Accepts cryptocurrency donations=No
|OpenPGP public key=https://savannah.nongnu.org/people/viewgpg.php?user_id=103808
+
|OpenPGP signature=https://download.savannah.nongnu.org/releases/gsequencer/3.2.x/gsequencer-3.2.15.tar.gz.asc
 
|Test entry=No
 
|Test entry=No
 
|Is GNU=No
 
|Is GNU=No
Line 81: Line 90:
 
}}
 
}}
 
{{Resource
 
{{Resource
|Resource audience=Debian (Ref) (R)
+
|Resource audience=Debian (Ref)
 
|Resource URL=https://tracker.debian.org/pkg/gsequencer
 
|Resource URL=https://tracker.debian.org/pkg/gsequencer
 
}}
 
}}
 
{{Resource
 
{{Resource
|Resource audience=Savannah (Ref) (R)
+
|Resource audience=Savannah (Ref)
|Resource URL=https://savannah.nongnu.org/projects/gsequencer
+
|Resource URL=https://savannah.nongnu.org/projects/gsequencer/
 
}}
 
}}
 
{{Resource
 
{{Resource
|Resource audience=Developer
 
 
|Resource kind=VCS Repository Webview
 
|Resource kind=VCS Repository Webview
|Resource URL=http://git.savannah.gnu.org/cgit/gsequencer.git
+
|Resource URL=https://git.savannah.nongnu.org/cgit/gsequencer.git/
 +
}}
 +
{{Resource
 +
|Resource kind=Mailing List
 +
|Resource URL=https://lists.gnu.org/mailman/listinfo/gsequencer-help/
 +
}}
 +
{{Resource
 +
|Resource kind=Mailing List
 +
|Resource URL=https://lists.gnu.org/mailman/listinfo/gsequencer-devel/
 
}}
 
}}
 
{{Resource
 
{{Resource
|Resource audience=User
 
 
|Resource kind=Download
 
|Resource kind=Download
|Resource URL=http://download.savannah.gnu.org/releases/gsequencer/
+
|Resource URL=https://download.savannah.nongnu.org/releases/gsequencer/
 +
}}
 +
{{Resource
 +
|Resource kind=General
 +
|Resource URL=https://savannah.gnu.org/people/
 
}}
 
}}
 
{{Software category
 
{{Software category
Line 102: Line 121:
 
|Library=C
 
|Library=C
 
|Programming-language=C
 
|Programming-language=C
|Runs-on=GNU/Linux
+
|Runs-on=Windows, BSD, OS X, GNU/Linux
 
|Use=editing, interface, library, mixing, playing
 
|Use=editing, interface, library, mixing, playing
 
|Uitoolkit=gtk
 
|Uitoolkit=gtk
Line 110: Line 129:
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=gtk+-2.0 Gimp toolkit widget library
+
|Prerequisite description=[[gtk+]]-3.0 Gimp toolkit widget library
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Required to use
 +
|Prerequisite description=[[WebKit2Gtk-4.0]] HTML rendering engine
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Required to use
 +
|Prerequisite description=[[libxml2]] XML and XPath library
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=libxml2 XML and XPath library
+
|Prerequisite description=[[libuuid]] -1.2 Unique identifier creation library
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=libuuid-1.2 Unique identifier creation library
+
|Prerequisite description=[[gettext]]
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=gettext
+
|Prerequisite description=[[libinstpatch]] -1.0 Sound file container supporting DLS, Soundfont2 and GigaSampler
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=libinstpatch-1.0 Sound file container supporting DLS, Soundfont2 and GigaSampler
+
|Prerequisite description=[[libsndfile]] -1.0 Audio file input and output, supporting FLAC, WAV, ...
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=libsndfile-1.0 Audio file input and output, supporting FLAC, WAV, ...
+
|Prerequisite description=[[fftw3]] Fast fourier transform library
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=fftw3 Fast fourier transform library
+
|Prerequisite description=[[alsa-lib]] Advanced linux sound architecture library
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=alsa-lib Advanced linux sound architecture library
+
|Prerequisite description=[[Jack]] Jack Audio Connection Kit
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=Jack Jack Audio Connection Kit
+
|Prerequisite description=[[Pulseaudio]]
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite kind=Required to use
|Prerequisite description=Pulseaudio
+
|Prerequisite description=[[libsoup-2.4]] HTTP and XMLRPC server library
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Weak prerequisite
 
|Prerequisite kind=Weak prerequisite
|Prerequisite description=LADSPA Audio plugin format
+
|Prerequisite description=[[LADSPA]]  Audio plugin format
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Weak prerequisite
 
|Prerequisite kind=Weak prerequisite
|Prerequisite description=DSSI Instrumentation plugin format
+
|Prerequisite description=[[DSSI]] Instrumentation plugin format
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
 
|Prerequisite kind=Weak prerequisite
 
|Prerequisite kind=Weak prerequisite
|Prerequisite description=Lv2 Audio plugin format
+
|Prerequisite description=[[Lv2]] Audio plugin format
 
}}
 
}}
 
{{Featured}}
 
{{Featured}}
{{Import
 
|Date=2015/08/14
 
|Source=debian
 
|Source link=https://tracker.debian.org/pkg/gsequencer
 
}}
 
{{Import
 
|Date=2017/03/18
 
|Source=fedora
 
|Source link=https://apps.fedoraproject.org/packages/gsequencer
 
}}
 
{{Import
 
|Date=2017/10/07
 
|Source=opensuse
 
|Source link=https://build.opensuse.org/package/show/multimedia:apps/gsequencer
 
}}
 

Latest revision as of 15:38, 27 April 2020

[edit]

Advanced GTK+ Sequencer

https://www.nongnu.org/gsequencer/
Audio sequencer.

Gsequencer-main-window.png Gsequencer-automation-window.png

Advanced GTK+ Sequencer (AGS) is intended to use for music composition.

It features a piano roll, as well a synth, matrix editor, drum machine, soundfont2 player, mixer and an output panel. Further it has LADSPA, DSSI and Lv2 plugin support. It's designed to be highly configurable. You may add effects to its effect chain; and add or remove audio channels/pads. You may set up a fully functional network of engines, thus there is a link editor for linking audio lines. AGS requires a realtime kernel and ALSA support. AGS uses conditional locks to keep several threads in sync that's why you need at least a preemptable kernel.

LADSPA support has been added to version 0.4.2 as well export to WAV.

Version 0.5.x brings you first concurrent audio tree processing support.

Version 0.6.x is dedicated to accessibility. You might control GSequencer by keyboard. As you move to a note it provides you an audible feedback.

Version 0.7.x gives you the benefit of providing the libraries libags, libags-thread, libags-server, libags-audio and libgsequencer. It contains for now an automation editor. Open Sound System (OSS4) and JACK Audio Connection Kit support has been added recently. Now you may configure multiple soundcards. Since 0.7.111 there is MIDI input available. Let you record your MIDI instrument and doing live performance.

Version 0.8.x extended MIDI support to import/export SMF. A built-in envelope editor and additional editing functionality like move/crop selected notes.

Version 0.9.x added automation editor.

Version 1.0.x released implemented sticky controls.

Version 1.1.x segmented AgsNotation and AgsAutomation.

Version 1.2.x improved audio backend support and improved accessibility by using Atk+ interfaces. Migrated to segmented AgsNotation ,

Version 1.3.x migrated to segmented AgsAutomation.

Version 1.4.x AgsWave and AgsBuffer have arrived in libags_audio.so

Version 2.0.x provides new machines AgsEqualizer10, AgsSpectrometer and AgsAudiorec. Wave form manipulation and recording capabilities.

Version 2.1.x has got initial OSC content model support. The provided OSC server allows you to do remote control.

Version 2.2.x support for GCC builtin vector functions and added complex data type support.

Version 2.3.x added new machines AgsFMSynth, AgsFMSyncsynth and AgsPitchSampler. Support for WASAPI.

Version 3.0.x added GObject-Introspection annotations. Implemented AgsServer providing basic HTTP authentication using XMLRPC library libsoup-2.4. Added online help browser to view the user manual within UI by using WebKit2Gtk-4.0. Further providing support for AGS-OSC-OVER-XMLRPC and migrated to Gtk-3. Allow the user to perform fast export to audio file with AgsAudiorec.

Documentation

libags

libags_audio

libags_gui

Related Projects





Licensing

License

Verified by

Verified on

Notes

Verified by

genium

Verified on

31 July 2014




Leaders and contributors

Contact(s)Role
Joël Krähemann (Jkraehem)maintainer


Resources and communication

AudienceResource typeURI
VCS Repository Webviewhttps://git.savannah.nongnu.org/cgit/gsequencer.git/
Savannah (Ref)https://savannah.nongnu.org/projects/gsequencer/
Mailing Listhttps://lists.gnu.org/mailman/listinfo/gsequencer-help/
Mailing Listhttps://lists.gnu.org/mailman/listinfo/gsequencer-devel/
Downloadhttps://download.savannah.nongnu.org/releases/gsequencer/
Generalhttps://savannah.gnu.org/people/
Debian (Ref)https://tracker.debian.org/pkg/gsequencer


Software prerequisites

KindDescription
Required to uselibxml2 XML and XPath library
Weak prerequisiteLv2 Audio plugin format
Required to usealsa-lib Advanced linux sound architecture library
Required to uselibuuid -1.2 Unique identifier creation library
Required to usegtk+-3.0 Gimp toolkit widget library
Required to useJack Jack Audio Connection Kit
Required to usegettext
Required to useWebKit2Gtk-4.0 HTML rendering engine
Required to usePulseaudio
Required to uselibinstpatch -1.0 Sound file container supporting DLS, Soundfont2 and GigaSampler
Required to uselibsoup-2.4 HTTP and XMLRPC server library
Weak prerequisiteLADSPA Audio plugin format
Required to uselibsndfile -1.0 Audio file input and output, supporting FLAC, WAV, ...
Weak prerequisiteDSSI Instrumentation plugin format
Required to usefftw3 Fast fourier transform library

This entry (in part or in whole) was last reviewed on 19 February 2018.



Entry
























"maintainer" is not in the list (Maintainer, Contributor, Developer, Sponsor, Unknown) of allowed values for the "Role" property.


"Debian (Ref)" is not in the list (General, Help, Bug Tracking, Support, Developer) of allowed values for the "Resource audience" property.


"Savannah (Ref)" is not in the list (General, Help, Bug Tracking, Support, Developer) of allowed values for the "Resource audience" property.

















































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.